Download it now!
Bug 90458 - FORMATTING: When a row selection includes a merged column, only border changes which are specific to the row are applied
Summary: FORMATTING: When a row selection includes a merged column, only border change...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Calc-Merge-Split Cell-Selection
  Show dependency treegraph
 
Reported: 2015-04-04 19:47 UTC by Matthew Millar
Modified: 2019-05-14 02:58 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Preparatory stage completed spreadsheet (10.25 KB, application/vnd.oasis.opendocument.spreadsheet)
2015-04-04 19:47 UTC, Matthew Millar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Millar 2015-04-04 19:47:32 UTC
Created attachment 114624 [details]
Preparatory stage completed spreadsheet

When a row selection includes a merged column, only border changes which are overly specific to the row (and couldn't only relate to the merged cell) are applied.

e.g.
Preparatory:- (attached)
- merge C2-3
- select rows 2-3;
- Format Cells... to apply a border to top and base;
- select row 3;
- Insert Rows Above*.

Replication:
Whilst C2-4 is merged:
- Select row 2;
- Format Cells... to remove base or middle border

*This shouldn't apply a border to the base of row 2.

Expected outcome:
The base border of row 2 is removed.

Actual outcome:
The base border of C2-4 is removed.
Comment 1 Matthew Millar 2015-04-04 20:42:18 UTC
Further to the bug report:
row 2 base border cannot be removed:
- unmerge C2-4;
- Select row 2;
- Format Cells... to remove base border. (which is greyed)

It isn't possible to remove the erroneous base border from row 2:
- Select row 2;
- Format Cells... to apply base border.
- Select row 2;
- Format Cells... to remove base border.
Comment 2 raal 2015-04-05 19:41:06 UTC
Hello Matthew,
what's your  version of LO and OS?

I can confirm with Version: 4.4.3.0.0+
Build ID: 3eba5eb1774ab621a1f0f4dcc7e82cce6c025b0a
TinderBox: Linux-rpm_deb-x86_64@46-TDF, Branch:libreoffice-4-4, Time: 2015-03-27_09:07:12
Comment 3 Matthew Francis 2015-04-06 08:33:38 UTC
Appears to occur back to OOo and LO 3.3.0

-> Version: Inherited from OOo
Comment 4 tommy27 2016-04-16 07:26:17 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (5.0.5 or 5.1.2 https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

- Update the version field
- Reply via email (please reply directly on the bug tracker)
- Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so: 

1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3)

http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug 

3. Leave a comment with your results. 

4a. If the bug was present with 3.3 - set version to "inherited from OOo"; 
4b. If the bug was not present in 3.3 - add "regression" to keyword


Feel free to come ask questions or to say hello in our QA chat: http://webchat.freenode.net/?channels=libreoffice-qa

Thank you for your help!

-- The LibreOffice QA Team This NEW Message was generated on: 2016-04-16
Comment 5 QA Administrators 2019-05-14 02:58:24 UTC
Dear Matthew Millar,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug